# Copyright 1999-2016. Parallels IP Holdings GmbH. All Rights Reserved.
""" Plesk files layout related to outgoing mails rate limiting support. """

import os

SYSTEM_CRON_DIR = "/etc/cron.d"
CRON_JOB_PREFIX = "plesk-outgoing-mail-"
SW_ENGINE_BIN = os.path.join("/opt/psa", "bin/sw-engine-pleskrun")
DMS_TASK_SCRIPT = os.path.join("/opt/psa", "admin/plib/DailyMaintainance/task-script.php")
DMS_TASK_NAME = "StoreOutgoingMessagesStatistics"

MAIL_DB_DIR = "/var/lib/plesk/mail"
OUTGOING_MAIL_DB = os.path.join(MAIL_DB_DIR, 'outgoing/data.db')
OUTGOING_MAIL_CFG = os.path.join(MAIL_DB_DIR, 'outgoing/settings.conf')
SENDMAIL_WRAPPER_DISABLED_FLAG_FILE = os.path.join("/var/lib/plesk", "mail@disable-sendmail-wrapper.flag")
ADMIN_SBIN_DIR = os.path.join("/opt/psa", "/admin/sbin".lstrip('/'))
HOOK_DIR = "/opt/psa/handlers/hooks"

POPUSER = "popuser"
LIMIT_OUT_HOOK_NAME = "limit-out"
LIMIT_OUT_HOOK_PATH = os.path.join(HOOK_DIR, "py-limit-out")

DEFAULT_WHITELIST = [
    'root',
    'psaadm',
    'drweb', # drweb
    'popuser', # popuser
    'postfix', # postfix
    'qmaild', # qmaild
    'qmailr', # qmailr
]

INSTALL_SENDMAIL_WRAPPER_POSTFIX = '/usr/lib/plesk-9.0/install_sendmail_wrapper_postfix'

# vim: ts=4 sts=4 sw=4 et :
